إعـــــــلان

تقليص
لا يوجد إعلان حتى الآن.

أحتاج لدعم ال dependencies

تقليص
X
 
  • تصفية - فلترة
  • الوقت
  • عرض
إلغاء تحديد الكل
مشاركات جديدة

  • أحتاج لدعم ال dependencies

    السلام عليكم ورحمة الله تعالى وبركاته

    المشكلة اللي تواجهني دائما ومع أكثر البرامج أنهم لا يقبلون التنصيب بسبب dependencies اللي نظام الأرابيان لا يتوفر عليها

    عانيت كثيرا من هذه المشكلة وأنا بقالي 6 برامج مهمة كنت عاوز أسطبها بس هي مو راضية تتسطب وبتقولي في سطر الأوامر أنها محتاجة ل dependencies عشان هي تتسطب بنجاح

    كيف يمكنني أن أحصل على dependencies من الإنترنيت؟
    ليس لي دراية بالمواقع الداعمة ل dependencies واللي أقدر عن طريقها أقوم بتحميل
    ال dependencies وتسطيبها, كمان أنا عاوز أحمل المكتبات لأني محتاجها عشان البرامج, ياريت تعطوني كل المكتبات المتوفرة وتكون كاملة (حيث أنه في بعض الأحيان تكون المكتبة في حاجة لمكتبة أخرى) والأرابيان السادس يفتقر لهذه الأشياء, نرجو من الإصدارة 2007 أنها تحل كل هذه المشاكل.

    أرجو المساعدة يارب

  • #2
    يمكنك حل مشكلة الـ dependencies بطريقتين اساسيتين:

    1- استخدم الامر apt-cache

    كود:
    apt-cache search libgtk2
    apt-cache search *gtk2-dev
    الطريقة الثانية:

    كود:
    apt-get install auto-apt
    بعدها اقراء الـ manual الخاص به، اذا ما كنت مخطيء فهو يحتاج الى تحديث قاعدة بياناته (ربما باستخدام auto-apt update)

    بعد الانتهاء من تحديث قاعدة البيانات، اذهب الى البرنامج الذي تريد تثبيته والذي يتحاج الى dependencies غير موجودة واعمل الاتي:

    بدل من تنفيذ
    كود:
    ./configure
    نفذ:

    كود:
    auto-apt run ./configure
    وبدل من تنفيذ
    كود:
    make
    نفذ:

    كود:
    auto-apt run make
    وفي النهاية نفذ

    كود:
    sudo make install
    موقع وثائق لينوكس العربية
    موقع مختص بتوثيق لينكس

    ((شاركنا بمواضيعك، أفكارك، إقتراحاتك، ومساعدتك لنا هي أساس إستمرارنا ... فلا تبخل علينا بما لديك ولو كان بنظرك قليل، فهو بنظرنا الكثير))





    تعليق


    • #3
      بالمناسبة، يوجد 3 طرق، والطريقة الثالثة هي استخدام apt-file

      كود:
      apt-get install apt-file
      كود:
      apt-file update
      apt-file search libaaabbbbccc.so
      سيبحث البرنامج في قاعدة بياناته وسيقول لك ان الملف libaaabbbbccc.so
      موجود في الحزمة (package) الفلاني وكل ما عليك فعله بعدها هو تثبيت الحزمة التي يظهرها لك.
      موقع وثائق لينوكس العربية
      موقع مختص بتوثيق لينكس

      ((شاركنا بمواضيعك، أفكارك، إقتراحاتك، ومساعدتك لنا هي أساس إستمرارنا ... فلا تبخل علينا بما لديك ولو كان بنظرك قليل، فهو بنظرنا الكثير))





      تعليق


      • #4
        لم أنجح يا إخواني حيث هذا ما يحدث معي:

        [email protected]:/home/arabian/Documents/Software# apt-get install apt-LimeWireLinux.rpm
        E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
        E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
        [email protected]:/home/arabian/Documents/Software#

        أرجو أن توضحوا لي قليلا وشكرا جزيلا
        بارك الله فيكم
        التعديل الأخير تم بواسطة bob-work; الساعة 06-11-2006, 10:34 PM.

        تعليق


        • #5
          نفذ الامر وانت رووت او استخدم الامر sudo

          كود:
          sudo apt-get install program
          موقع وثائق لينوكس العربية
          موقع مختص بتوثيق لينكس

          ((شاركنا بمواضيعك، أفكارك، إقتراحاتك، ومساعدتك لنا هي أساس إستمرارنا ... فلا تبخل علينا بما لديك ولو كان بنظرك قليل، فهو بنظرنا الكثير))





          تعليق


          • #6
            المشاركة الأصلية بواسطة bob-work مشاهدة المشاركة
            لم أنجح يا إخواني حيث هذا ما يحدث معي:

            [email protected]:/home/arabian/Documents/Software# apt-get install apt-LimeWireLinux.rpm
            E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
            E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
            [email protected]:/home/arabian/Documents/Software#

            أرجو أن توضحوا لي قليلا وشكرا جزيلا
            بارك الله فيكم
            رسالة الخطأ تقول أنك لا تستطيع التثبيت لسبب أن عملية تثبيت أخرى تتم في نفس الوقت أو أن أحد البرامج الخاص بتثبيت الحزم مثل synaptic مفتوح في نفس الوقت.
            ثم إن البرنامج الذي تريد تنصيبه هو بامتداد rpm و هذا الامتداد غير وجه لتوزيعة الأرابيان. لتنصيبه على الأرابيان يجب استخدام برنامج alien أو البحث عن نفس البرنامج بامتداد deb أو البحث عن مصدر البرنامج ثم بناءه. المهم شوف هذا الرابط فيه الطريقة بalien :
            http://linox.be/wiki/index.php?n=Linux.LimeWireOnDebian
            User N4m3 | FLoOoD HacKeR
            e-mail | e@Hotmail.com | zo@Hotmail.com
            ZoNe-H
            FaceBook

            تعليق


            • #7
              شكرا أخي amine00
              بس عندي سؤال واحد, هل يجب أن أحفظ خطوات التتبيث هذه؟ أم أنه علي أن أكتبها عندي في كتاب خاص بذلك؟
              أخي أرجو منك أن تقدم لي خلاصة التتبيث وها أنا الأن سأحاول فعل ذلك وإذا كان هناك خطأ فالرجو التصحيح
              أولا: wget http:/www.****.com/soft/***.rpm (مثلا)
              ثانيا: apt-get install alien (هذا الأمر يقوم بتتبيث برنامج آليان إذا لم يكن في الجهاز أو إذا كانت الإصدارة قديمة فيقوم بتحديثها)
              ثالثا: alien anysoftware.rpm (هذا الأمر يقوم بتحويل rpm إلى deb )
              رابعا: dpkg -i anysoftware.deb (هذا الأمر يقوم بتنصيب البرنامج بعد تحويله في الأمر السابق)
              خامسا: تكتب إسم البرنامج ليتم تشغيله (نكتب إسم البرنامج مثلا في حالتنا إسم البرنامج هو limewire)
              ثم يشتغل البرنامج بشكل عادي
              وفي المرات القادمة لن نحتاج للأمر apt-get install alien لأننا طبقناه سابقا

              هكذا ستكون خطوات التتبيث حسب ما أعتقد يا أخي amine00 وإذا كنت ترى أي خطأ أن تبلغني به
              بووووركت أخي

              تعليق


              • #8
                لم أفهم ماذا تقصد بحفظ أو كتابة الخطوات. المهم كما قلت أنت :
                تحميل البرنامج المطلوب ذي الامتداد rpm بواسطة wget أو firefox مثلا
                تنصيب/تحديث alien (يمكن أن تبدأ بهذه المرحلة إن شئت)
                تحويل rpm إلى deb
                تنصيب deb
                الخطوات السابقة تقوم بها المرة الأولى فقط ثم فيما بعد تشغل البرنامج بكتابة اسمه أو من المونيو إن تمت إضافته
                بالتوفيق
                User N4m3 | FLoOoD HacKeR
                e-mail | e@Hotmail.com | zo@Hotmail.com
                ZoNe-H
                FaceBook

                تعليق


                • #9
                  أخي أنا أقصد بحفظ الخطوات: أقصد أنه يجب علي أن أحفظ طريقة التتبيث عن ظهر قلب حتى لا أنساها في يوم من الأيام
                  أشكرك أخي
                  لقد قمت بالتجربة على برنامج bittorrent ولكن حسب ما أعتقد أنه لم يتنصب بشكل كامل, إليك ما حدث معي:

                  [email protected]:~/Documents/Software$ sudo su
                  [email protected]:/home/arabian/Documents/Software# alien BitTorrent-5.0.0.rpm
                  bittorrent_5.0.0-2_all.deb generated
                  [email protected]:/home/arabian/Documents/Software# dpkg -i bittorrent_5.0.0-2_all.deb
                  (Reading database ... 104758 files and directories currently installed.)
                  Preparing to replace bittorrent 5.0.0-2 (using bittorrent_5.0.0-2_all.deb) ...
                  Unpacking replacement bittorrent ...
                  Setting up bittorrent (5.0.0-2) ...
                  [email protected]:/home/arabian/Documents/Software# bittorrent
                  bash: /usr/bin/bittorrent: /usr/bin/python2.4: bad interpreter: No such file or directory
                  [email protected]:/home/arabian/Documents/Software#
                  الظاهر أن البرنامج تم تنصيبه لكن عندما أكتب إسمه لأقوم بتشغيله لا يشتغل وكأن الملف الهدف غير موجود, فمارأيك أخي؟

                  تعليق


                  • #10
                    الظاهر أن برانامج التورنت يحتاج إلى مترجم python و هو غير موجود عندك أو أن النسخة الموجودة قديمة.
                    ما هي نتيجة الأمر التالي :
                    كود:
                     ls -l /usr/bin/python*
                    User N4m3 | FLoOoD HacKeR
                    e-mail | e@Hotmail.com | zo@Hotmail.com
                    ZoNe-H
                    FaceBook

                    تعليق


                    • #11
                      أخي! برنامج بايثن قمتُ بتنصيبه البارحة وهو آخر إصدار 2.5
                      إليك النتيجة:

                      [email protected]:~$ sudo su
                      [email protected]:/home/arabian# cd
                      [email protected]:~# ls -l /usr/bin/python*
                      -rwxr-xr-x 2 root root 3471735 2006-11-06 18:43 /usr/bin/python
                      -rwxr-xr-x 1 root root 567592 2005-08-30 19:08 /usr/bin/python2.1
                      -rwxr-xr-x 1 root root 962860 2005-08-30 19:03 /usr/bin/python2.3
                      -rwxr-xr-x 2 root root 3471735 2006-11-06 18:43 /usr/bin/python2.5
                      -rwxr-xr-x 1 root root 1275 2006-11-06 18:45 /usr/bin/python2.5-config
                      lrwxrwxrwx 1 root root 16 2006-11-06 18:45 /usr/bin/python-config -> python 2.5-config
                      [email protected]:~#

                      تعليق


                      • #12
                        يبدو من خلال رسالة الخطأ أن البرنامج يحتاج python2.4 و أنت عندك 2.5 و 2.3 و 2.1
                        ثبته بالأمر :
                        apt-get install python2.4
                        ثم أعد التجربة و أخبرني بالنتيجة
                        User N4m3 | FLoOoD HacKeR
                        e-mail | e@Hotmail.com | zo@Hotmail.com
                        ZoNe-H
                        FaceBook

                        تعليق


                        • #13
                          حسنا أخي إنتضرني ريتما أنتهي من تحميل الإصدار 2.4
                          عندي سؤال واحد أخي ربما عندك إجابته
                          لو أنني أريد إيقاف التحميل فماذا سأفعل؟ حسب ما أعتقد أنه حتى لو أغلقت التيرمنال فلن تتوقف عملية التحميل وعلي أن أوقفها بنفسي بأمر معين
                          ماهو هذا الأمر أخي؟

                          تعليق


                          • #14
                            على حد علمي فإن إغلاق الترمنال يوقف التحميل.. للإيقاف دون غلق الترمينال اضغط ctrl c
                            User N4m3 | FLoOoD HacKeR
                            e-mail | e@Hotmail.com | zo@Hotmail.com
                            ZoNe-H
                            FaceBook

                            تعليق

                            يعمل...
                            X